Summary:        PDF Chain is a GUI for pdftk
Summary(de):	PDF Chain ist eine GUI für pdftk
Name:           pdfchain
Version:        0.4.4.2
Release:        %mkrel 1
Group:          File tools
License:        GPLv3+
URL:            http://sourceforge.net/projects/pdfchain
Source0:        http://downloads.sf.net/pdfchain/files/%{name}-%{version}.tar.xz
#Patch0:         pdfchain-0.99-desktop-file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  %{_lib}glibmm2.4-devel
BuildRequires:  %{_lib}gtkmm3.0-devel
BuildRequires:	ImageMagick
BuildRequires:	libpthread-stubs
BuildRequires:	wayland-protocols-devel
Requires:    	pdftk
Requires:	%{_lib}glibmm2.4
Requires:	%{_lib}gtkmm3.0_1
Requires:	gtk+3.0
Obsoletes:      %{name}-0.99

%description
PDF Chain is a GUI for pdftk written with gtkmm.
You can merge some pdf files to one pdf file or split.
There are also some options and tools.

%description -l de
PDF Chain ist eine grafische Benutzerschnittstelle für pdftk, welche in 
gtkmm geschrieben wurde. Sie können mehrere PDF-Dateien zu einer zusammenfügen oder 
aufteilen. Es werden auch noch einige weitere Optionen und Werkzeuge bereit gestellt.

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1 -b .desktopfile

%build
%configure --disable-dependency-tracking

%make clean
%make

%install
rm -rf $RPM_BUILD_ROOT
%__install -d $RPM_BUILD_ROOT%{_bindir}
%__install -p -m 0755 src/pdfchain $RPM_BUILD_ROOT%{_bindir}
%__install -d $RPM_BUILD_ROOT%{_datadir}/applications
%__install -p -m 0644 application/pdfchain.desktop $RPM_BUILD_ROOT%{_datadir}/applications
%__install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
%__install -p -m 0644 pixmaps/pdfchain.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 pixmaps/pdfchain.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 pixmaps/pdfchain.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 pixmaps/pdfchain.png %{buildroot}%_liconsdir/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png


#desktop-file-install --vendor="" \
#  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
#  --delete-original \
#        $RPM_BUILD_ROOT%{_datadir}/applications/pdfchain.desktop

# replace the menu file by our own one
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PDF Chain
GenericName=pdfchain
Comment=GUI for PDFTK - A graphical tool for manipulating PDF
Comment[de]=GUI für PDFTK - Ein grafisches Werkzeug zum Bearbeiten von PDF-Dateien
Exec=pdfchain
Icon=pdfchain.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Office;X-MandrivaLinux-System-FileTools;
MimeType=application/pdf;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING NEWS AUTHORS
%{_bindir}/pdfchain
%{_datadir}/applications/pdfchain.desktop
%{_datadir}/pixmaps/pdfchain.png
%_miconsdir/%{name}.png 
%_iconsdir/%{name}.png 
%_liconsdir/%{name}.png

%changelog
* Sat Jul 08 2017 adrianomorselli <adrianomorselli> 0.4.4.2-1uplos2017
- add BR libpthread-stubs, wayland-protocols-devel
